// fontedoc.h : interface of the CFonteditDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CFonteditDoc : public CDocument
{
protected: // create from serialization only
	CFonteditDoc();
	DECLARE_DYNCREATE(CFonteditDoc)
	void Cleanup(void);
// Attributes
	bool bMinimizeTextureCount;
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFonteditDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFonteditDoc();
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFonteditDoc)
	afx_msg void OnFileNew();
	afx_msg void OnImageShorten();
	afx_msg void OnFileNewnonantialiased();
	afx_msg void OnOptionsMinimizetexturecount();
	afx_msg void OnOptionsMinimizetexturespace();
	afx_msg void OnUpdateOptionsMinimizetexturecount(CCmdUI* pCmdUI);
	afx_msg void OnFileExporttextures();
	afx_msg void OnFileImporttextures();
	afx_msg void OnUpdateFileExporttextures(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileImporttextures(CCmdUI* pCmdUI);
	afx_msg void OnImageShortenfrombottom();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class Font;
extern Font *theFont;
/////////////////////////////////////////////////////////////////////////////
